Skip to main content
PATCH
/
v1
/
environments
/
{environmentId}
/
files
/
{id}
Update Environment File
curl --request PATCH \
  --url https://api.tryreplicas.com/v1/environments/{environmentId}/files/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "path": "<string>",
  "content": "<string>"
}
'
{
  "environment_file": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "path": "<string>",
    "content": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.replicas.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

environmentId
string
required

Environment UUID, or the literal string global.

id
string<uuid>
required

File UUID

Body

application/json

Request body for updating an environment file. Only provided fields are changed.

name
string
path
string
content
string

Response

File updated

environment_file
object
required

A file dropped into the workspace at the configured path when the workspace is provisioned.